class TestMethodCall

  def testMethod aMethod(x=0)
    aMethod.call 
  end

  def otherMethod(x=1)
    puts "In otherMethod: x==#{x}"
  end

end

t = TestMethodCall.new
t.testMethod(t.method(:otherMethod))
